Retrieve SCIM Resources
Retrieve a single SCIM resource type. Defines the endpoints, the core schema URI which defines this resource, and any supported schema extensions.
GET
/api/{version}/scim/v2/{type}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/scim+json (default) or application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
type | The resource type to retrieve. You can retrieve all available types from the Retrieve All SCIM Resource Types endpoint, where the value for this parameter is the endpoint value. |
Query Parameters
Section link for Query ParametersRequest
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://veepharm.com/api/v18.2/scim/v2/SecurityProfilesResponse
Section link for Response{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 20,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile"
],
"id": "business_admin__v",
"meta": {
"created": "2018-02-09T09:41:14.000Z",
"lastModified": "2018-02-09T09:41:14.000Z",
"resourceType": "SecurityProfile",
"location": "https://promomats-template.vaultdev.com/api/v18.2/scim/v2/SecurityProfiles/business_admin__v"
},
"active": true,
"displayName": "Business Administrator"
},
{
"schemas": [
"urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile"
],
"id": "document_user__v",
"meta": {
"created": "2018-02-09T09:41:14.000Z",
"lastModified": "2018-02-09T09:41:14.000Z",
"resourceType": "SecurityProfile",
"location": "https://promomats-template.vaultdev.com/api/v18.2/scim/v2/SecurityProfiles/document_user__v"
},
"active": true,
"displayName": "Document User"
}
]
}